/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */ import noop from 'lodash-es/noop.js';
import { useMemo } from 'react';
export function useCellDropdownSelectHandler(clickable, onOptionSelect = noop) {
    return useMemo(()=>clickable ? onOptionSelect : undefined, [
        clickable,
        onOptionSelect
    ]);
}
